> For the complete documentation index, see [llms.txt](https://docs.dexe.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dexe.network/contract-interfaces/gov-contracts/voting/ivotepower.md).

# IVotePower

## Interface Description

License: MIT

##

```solidity
interface IVotePower
```

## Functions info

### transformVotes (0x41cb09cc)

```solidity
function transformVotes(
    address voter,
    uint256 votes
) external view returns (uint256 resultingVotes)
```

The function for transforming token and nft power to voting power

Parameters:

| Name  | Type    | Description                   |
| ----- | ------- | ----------------------------- |
| voter | address | the voter address             |
| votes | uint256 | the total token and nft power |

Return values:

| Name           | Type    | Description  |
| -------------- | ------- | ------------ |
| resultingVotes | uint256 | voting power |

### transformVotesFull (0x13f60dc5)

```solidity
function transformVotesFull(
    address voter,
    uint256 votes,
    uint256 personalPower,
    uint256 micropoolPower,
    uint256 treasuryPower
) external view returns (uint256 resultingVotes)
```

The function for transforming token and nft power to voting power

Parameters:

| Name           | Type    | Description                      |
| -------------- | ------- | -------------------------------- |
| voter          | address | the voter address                |
| votes          | uint256 | the total token and nft power    |
| personalPower  | uint256 | the user's total personal power  |
| micropoolPower | uint256 | the user's total micropool power |
| treasuryPower  | uint256 | the user's total treasury power  |

Return values:

| Name           | Type    | Description  |
| -------------- | ------- | ------------ |
| resultingVotes | uint256 | voting power |

### getVotesRatio (0xf5ca7490)

```solidity
function getVotesRatio(
    address voter
) external view returns (uint256 votesRatio)
```

The function for getting voting coefficient

Parameters:

| Name  | Type    | Description              |
| ----- | ------- | ------------------------ |
| voter | address | the address of the voter |

Return values:

| Name       | Type    | Description                           |
| ---------- | ------- | ------------------------------------- |
| votesRatio | uint256 | the ration with 25 decimals precision |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dexe.network/contract-interfaces/gov-contracts/voting/ivotepower.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
